unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SctRep, Menus, StdCtrls, ExtCtrls, SctVar, Buttons, SctBtn,
  SctCtrl;

type
  TForm1 = class(TForm)
    SctReport1: TSctReport;
    ReportPage: TSctGrouppage;
    ReportHeaderBand: TSctBand;
    ReportHeaderBandlevel: TSctLevel;
    PageHeaderBand: TSctBand;
    PageHeaderBandlevel: TSctLevel;
    DetailBand: TSctBand;
    DetailBandlevel: TSctLevel;
    PageFooterBand: TSctBand;
    PageFooterBandlevel: TSctLevel;
    ReportFooterBand: TSctBand;
    ReportFooterBandlevel: TSctLevel;
    svarDateTime: TSctDateTimeVar;
    svarPage: TSctPageVar;
    grpCount: TRadioGroup;
    Data: TSctSubDataBand;
    DataLevel: TSctLevel;
    Data1: TSctSubDataBand;
    Data1Level: TSctLevel;
    Sctvarlabel1: TSctvarlabel;
    Sctvarlabel2: TSctvarlabel;
    Sctvarlabel3: TSctvarlabel;
    SctReportButton1: TSctReportButton;
    Sctvarlabel4: TSctvarlabel;
    procedure ReportPageDataStart(Sender: TObject);
    procedure ReportPageDataSkip(Sender: TObject);
    procedure PageHeaderBandAfterPrint(Band: TSctBand);
    procedure DataDataStart(Sender: TObject);
    procedure DataDataSkip(Sender: TObject);
    procedure DataBlankTest(Sender: TObject);
    procedure DecBlank(Band: TSctBand);
  private
    { Private declarations }
    flag: boolean;
    Cnt: integer;
    Target: integer;
    BlankCnt: integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ReportPageDataStart(Sender: TObject);
begin
  flag := false;
  (Sender as TSctPage).DataIsFinished := flag;
  Target := StrToInt(grpCount.Items[grpCount.ItemIndex]);
end;

procedure TForm1.ReportPageDataSkip(Sender: TObject);
begin
  (Sender as TSctPage).DataIsFinished := flag;
end;

procedure TForm1.PageHeaderBandAfterPrint(Band: TSctBand);
begin
  BlankCnt := 10;
end;

procedure TForm1.DataDataStart(Sender: TObject);
begin
  Cnt := 1;
  Flag := (Cnt > Target);
  (Sender as TSctSubDataBand).DataIsFinished := Flag;
end;

procedure TForm1.DataDataSkip(Sender: TObject);
begin
  Inc(Cnt);
  Flag := (Cnt > Target);
  (Sender as TSctSubDataBand).DataIsFinished := Flag;
end;

procedure TForm1.DataBlankTest(Sender: TObject);
begin
  (Sender as TSctSubDataBand).DataIsFinished := (BlankCnt < 1);
end;

procedure TForm1.DecBlank(Band: TSctBand);
begin
  Dec(BlankCnt);
end;

end.
